Skip to main content
PUT

Authorizations

Authorization
string
header
required

Personal Access Token (PAT) is a Bearer token used for secure API calls. For direct API calls, the PAT is used in the Authorization header as 'Bearer {PAT}'. For MCP usage, configure your PAT in your MCP client settings (e.g., in your IDE's MCP server configuration) - authentication will be handled automatically.

Path Parameters

group_id
string
required

Group ID

Body

application/json
name
string

Group name

Maximum string length: 50
Example:

"Premium Clients"

notes
string

Additional notes or description for the group

Maximum string length: 100
Example:

"Updated notes"

Response

Response containing a single group object

id
string

Group ID

Example:

"5f7a8b9c0d1e2f3a4b5c6d7f"

name
string

Group name

Example:

"VIP Clients"

notes
string

Additional notes or description for the group

Example:

"Important clients only"

is_shared
boolean

Whether group is shared with corporate members

Example:

true

creation_date
string

Date group was created

Example:

"2024-01-10T09:00:00Z"

modification_date
string

Date group was last modified

Example:

"2024-02-15T11:20:00Z"